Subject: bug#76307: [PATCH] Add 'project-forget-projects-under-dirs', limit dir selection to relevant dirs

From: Eshel Yaron <[email-masked]>
Date: Sun, 16 Feb 2025 14:32:18 +0100

Hi,

Ship Mints <[email-masked]> writes:

> Not sure the common-prefix list is "flatter" than any other kind of list, but it is convenient when one wants to
> forget projects on a remote host en masse, or in the root of a directory tree that has script-kiddie git repos
> everywhere (one day, they'll all learn that monorepos are the way) and I want to forget everything I've seen
> (for more than one reason!).

I'm confused.  You can do those things in the current implementation,
and in my proposal too.

Could you perhaps spell out the benefit of your suggested implementation
for a concrete use case?  That might help to clear the confusion.

Thanks,

Eshel